#include <iostream>

using namespace std;
long long x=0, y=0, z=0, z1=0;
int main()
{
    int tx=0, ty=0, ost=0;
    cin >> x >> y;
    while(max(x,y)!=0){
        tx=x%10;
        x/=10;
        ty=y%10;
        y/=10;
        if(tx==0){
            z*=10;
            z+=ty;
        }
        else if(ty==0){
            z*=10;
            z+=tx;
        }
        else if(tx>ty){
            z*=10;
            z+=tx;
        }
        else if(tx<ty){
            z*=10;
            z+=ty;
        }
        else if(tx==ty){
            z*=10;
            z+=tx;
            z*=10;
            z+=ty;
        }
    }
    while(z!=0)
  {
     ost=z%10;
     z1=z1*10+ost;
     z/=10;
  }
    cout<<z1;
    return 0;
}